---
# install glusterfs volume driver plugin

- name: install golang packages
  apt:
    state: installed
    package: "{{ item }}"
    update_cache: yes
    cache_valid_time: 3600
  with_items:
    - "golang-go"


- name: make golang workspace
  file:
    path: /opt/golang
    state: directory
    mode: 0775

- name: fetch go package
  shell: GOPATH=/opt/golang go get github.com/amarkwalder/docker-volume-glusterfs

- name: add plugin to startup
  lineinfile:
    dest: /etc/rc.local
    regexp: 'docker-volume-glusterfs -servers'
    line: '/opt/golang/bin/docker-volume-glusterfs -servers cubox-i:home &'
    insertbefore: "^exit 0"


#sudo docker-volume-glusterfs -servers gfs-1:gfs-2:gfs-3
